Subject: RE: bug#12504: `bookmark-rename' and `bookmark-maybe-historicize-string'

From: "Drew Adams" <[email-masked]>
Date: Mon, 1 Oct 2012 14:34:04 -0700

> >I agree about the usefulness, but I think it should be done only when
> >`bookmark-rename' is invoked interactively.
> 
> When I say "interactively", I'm including both minibuffer command
> and menu command -- anything the user did interactively, that is.

Yes, that's what I meant here, too.

But that is not what the code does, I believe.  It adds the name to the history
even when bookmark-rename is invoked non-interactively.

> >...  That's a bad workaround if the goal is to add to the 
> > history when the user uses the menu: non-interactively is not
> > the same thing as interactively-using-a-menu.
> 
> Sure, completely agree.  We're on the same page, 
> conceptually; the code just needs fixing, that's all :-).
> I'll try to do it, but am busy for a while again.

Thanks.  But again, this really is not specific to bookmark commands.  A more
general solution should be found, IMO.

For bookmark.el, I would be happy if we did not try to add menu-invoked commands
to the histry, and we just waited for a general solution.

But I would also be happy if you implement a bookmark.el solution that does what
we mentioned above: add to the history only when invoked by the user,
interactively (menu or keys).